Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059315 - [abrt] cinnamon: magazine_chain_pop_head(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: magazine_chain_pop_head(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fc08161c8f21373c7cbdd635bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 16:02 UTC by Ingo Weiss
Modified: 2014-09-04 04:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 04:01:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-29 16:02 UTC, Ingo Weiss
no flags Details
File: cgroup (deleted)
2014-01-29 16:02 UTC, Ingo Weiss
no flags Details
File: core_backtrace (deleted)
2014-01-29 16:02 UTC, Ingo Weiss
no flags Details
File: dso_list (deleted)
2014-01-29 16:02 UTC, Ingo Weiss
no flags Details
File: environ (deleted)
2014-01-29 16:02 UTC, Ingo Weiss
no flags Details
File: exploitable (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details
File: limits (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details
File: maps (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details
File: open_fds (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details
File: proc_pid_status (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details
File: var_log_messages (deleted)
2014-01-29 16:03 UTC, Ingo Weiss
no flags Details

Description Ingo Weiss 2014-01-29 16:02:22 UTC
Version-Release number of selected component:
cinnamon-2.0.14-4.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: magazine_chain_pop_head
executable:     /usr/bin/cinnamon
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_list_prepend at glist.c:279
 #4 get_children_cb at ./clutter-container.c:550
 #5 g_list_foreach at glist.c:949
 #6 clutter_container_get_children at ./clutter-container.c:575
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 gjs_invoke_c_function at gi/function.c:918

Potential duplicate: bug 842933

Comment 1 Ingo Weiss 2014-01-29 16:02:38 UTC
Created attachment 857112 [details]
File: backtrace

Comment 2 Ingo Weiss 2014-01-29 16:02:42 UTC
Created attachment 857113 [details]
File: cgroup

Comment 3 Ingo Weiss 2014-01-29 16:02:49 UTC
Created attachment 857114 [details]
File: core_backtrace

Comment 4 Ingo Weiss 2014-01-29 16:02:53 UTC
Created attachment 857116 [details]
File: dso_list

Comment 5 Ingo Weiss 2014-01-29 16:02:57 UTC
Created attachment 857117 [details]
File: environ

Comment 6 Ingo Weiss 2014-01-29 16:03:00 UTC
Created attachment 857118 [details]
File: exploitable

Comment 7 Ingo Weiss 2014-01-29 16:03:04 UTC
Created attachment 857119 [details]
File: limits

Comment 8 Ingo Weiss 2014-01-29 16:03:22 UTC
Created attachment 857120 [details]
File: maps

Comment 9 Ingo Weiss 2014-01-29 16:03:26 UTC
Created attachment 857121 [details]
File: open_fds

Comment 10 Ingo Weiss 2014-01-29 16:03:30 UTC
Created attachment 857122 [details]
File: proc_pid_status

Comment 11 Ingo Weiss 2014-01-29 16:03:33 UTC
Created attachment 857124 [details]
File: var_log_messages

Comment 12 redhat 2014-02-07 10:36:24 UTC
Another user experienced a similar problem:

Tried to unmount an unplugged external Harddrive with the cinnamon systray applet.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: magazine_chain_pop_head
executable:     /usr/bin/cinnamon
kernel:         3.12.9-301.fc20.x86_64
package:        cinnamon-2.0.14-4.fc20
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 sergio 2014-04-18 14:35:55 UTC
Another user experienced a similar problem:

Clicked the Menu button
Beginning to write in the search box

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        cinnamon --sm-client-id 108a74f1d9e00357cf139662165677926000000016800000
crash_function: magazine_chain_pop_head
executable:     /usr/bin/cinnamon
kernel:         3.13.9-200.fc20.x86_64
package:        cinnamon-2.0.14-15.fc20
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 sergio 2014-04-22 15:36:41 UTC
Another user experienced a similar problem:

1. Click to open the (Applications) Menu
2. Begin typing to search an(y) application
3. Crash

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        cinnamon --sm-client-id 108a74f1d9e00357cf139662165677926000000016800000
crash_function: magazine_chain_pop_head
executable:     /usr/bin/cinnamon
kernel:         3.13.9-200.fc20.x86_64
package:        cinnamon-2.0.14-15.fc20
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 leigh scott 2014-05-16 09:48:00 UTC
It looks like a gtk issue to me, reassigning to gtk3

Comment 16 Matthias Clasen 2014-09-04 04:01:27 UTC
no gtk in the backtrace at all


Note You need to log in before you can comment on or make changes to this bug.